commit:     cc2c165b2fc8c367bae0254fa51f0ae50d9b254e
Author:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 29 19:16:22 2024 +0000
Commit:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
CommitDate: Sun Sep 29 19:16:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc2c165b

net-p2p/syncthing: add 1.27.12

Closes: https://bugs.gentoo.org/927793
Signed-off-by: Marc Schiffbauer <mschiff <AT> gentoo.org>

 net-p2p/syncthing/Manifest                 |   1 +
 net-p2p/syncthing/syncthing-1.27.12.ebuild | 114 +++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-p2p/syncthing/Manifest b/net-p2p/syncthing/Manifest
index 9a619e2fba48..e92b583b5363 100644
--- a/net-p2p/syncthing/Manifest
+++ b/net-p2p/syncthing/Manifest
@@ -1,4 +1,5 @@
 DIST syncthing-1.27.10.tar.gz 15431543 BLAKE2B 
e6c745e10beed7fa705aa5839440dc3e7fe730348bf7119c853bbd93cfb5e6d5fd920f37b9aec1774c175f24d1a5b70fc921d4222a69a432b6dcb777a6641e97
 SHA512 
caf24474790b7c40edbca27191a977dfc1009445129abc89cc4f3d0abecd20219d1e82e10947dde03763323d46ce951d1bdfa210189f13cdd9759541e6fdb6c8
+DIST syncthing-1.27.12.tar.gz 15553432 BLAKE2B 
df4ecaacb2986152755bcc6b20570856217b49dcffae45ff9cb3e1bc32eb648eb709fdf79c9051e73eff7b61adcf7078daed1d06d22a0d65061eb99a25b8aa02
 SHA512 
4e46124936ab7670d2929b0817b014c5d9ab6c94a9ce47368c796ab59b1f03c7da983ade358ae98be7c83fb4b70d2c3a3709827257be9dc61c0d0e113022dd85
 DIST syncthing-1.27.2.tar.gz 14967954 BLAKE2B 
8f033e18679f7accc3d461566da88fa45b2e1c8dc1b1b5ace2732e3987d82e8d458c42dc3571f7d1199cf35667be72fcf81b65efa9cd2dac65297bc86b03e284
 SHA512 
6b6bd57268b32b5db2377cf813229de978e26de606ac3bf2b515ddb35fd8131fafdb88abbfac1cb7d0f443224538cca7a6eba64f4bd737135f5a1c98e76439f9
 DIST syncthing-1.27.6.tar.gz 15147926 BLAKE2B 
63003b95f0458ece86aeeff8871ebe591f31ffda713427a7ded9d852a38770514143119983d3b28e82fe570992e1a35b9bcdb5d268fa5d3b4d23073edc2e811b
 SHA512 
2dbffd6002d557cc7ec3beab10d00f0e531d71ba60ed75fc20fd49f3d0c79b28197ed1c6795ef42717d12b8f4f594d1cadc8a67d0925f7f7f1cd20d1baa6edae
 DIST syncthing-1.27.8.tar.gz 15305526 BLAKE2B 
f3458792f474f661e5420058d9c2991d04b74f5414b8e23c8c8e140e96ac45c7dea72017e3d1349cd8ef3b6a22a64b41f171ba3ac2bdf436a9a3460673ec201d
 SHA512 
9f2d8cd70a8b269553919be07b63cb5dc9e83fe761596a1e1012339b10733f9619b35c532d66b8be1dc1a0888373308b1b6dab0f895c81e994d66c942734cbe6

diff --git a/net-p2p/syncthing/syncthing-1.27.12.ebuild 
b/net-p2p/syncthing/syncthing-1.27.12.ebuild
new file mode 100644
index 000000000000..7890d7f8bffc
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-1.27.12.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop go-module systemd xdg-utils
+
+DESCRIPTION="Open Source Continuous File Synchronization"
+HOMEPAGE="https://syncthing.net https://github.com/syncthing/syncthing";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${PN}-source-v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+S="${WORKDIR}"/${PN}
+
+LICENSE="Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="selinux tools"
+
+RDEPEND="acct-group/syncthing
+       acct-user/syncthing
+       tools? ( >=acct-user/stdiscosrv-1
+               >=acct-user/strelaysrv-1 )
+       selinux? ( sec-policy/selinux-syncthing )"
+BDEPEND=">=dev-lang/go-1.21.0"
+
+DOCS=( README.md AUTHORS CONTRIBUTING.md )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.3.4-TestIssue5063_timeout.patch
+       "${FILESDIR}"/${PN}-1.18.4-tool_users.patch
+       "${FILESDIR}"/${PN}-1.23.2-tests_race.patch
+)
+
+src_prepare() {
+       # Bug #679280
+       xdg_environment_reset
+
+       default
+       sed -i \
+               's|^ExecStart=.*|ExecStart=/usr/libexec/syncthing/stdiscosrv|' \
+               cmd/stdiscosrv/etc/linux-systemd/stdiscosrv.service \
+               || die
+       sed -i \
+               's|^ExecStart=.*|ExecStart=/usr/libexec/syncthing/strelaysrv|' \
+               cmd/strelaysrv/etc/linux-systemd/strelaysrv.service \
+               || die
+}
+
+src_compile() {
+       GOARCH= CGO_ENABLED=1 go run build.go -version "v${PV}" -no-upgrade 
-build-out=bin/ \
+               ${GOARCH:+-goarch="${GOARCH}"} \
+               build $(usex tools "all" "") || die "build failed"
+}
+
+src_test() {
+       go run build.go test || die "test failed"
+}
+
+src_install() {
+       local icon_size
+
+       doman man/*.[157]
+       einstalldocs
+
+       dobin bin/syncthing
+
+       domenu etc/linux-desktop/*.desktop
+       for icon_size in 32 64 128 256 512; do
+               newicon -s ${icon_size} assets/logo-${icon_size}.png ${PN}.png
+       done
+       newicon -s scalable assets/logo-only.svg ${PN}.svg
+
+       systemd_dounit etc/linux-systemd/system/${PN}@.service
+       systemd_douserunit etc/linux-systemd/user/${PN}.service
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+       newinitd "${FILESDIR}"/${PN}.initd-r2 ${PN}
+
+       keepdir /var/log/${PN}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/${PN}.logrotate ${PN}
+
+       insinto /etc/ufw/applications.d
+       doins etc/firewall-ufw/${PN}
+
+       if use tools; then
+               exeinto /usr/libexec/syncthing
+               local exe
+               for exe in bin/* ; do
+                       [[ "${exe}" == "bin/syncthing" ]] || doexe "${exe}"
+               done
+
+               systemd_dounit 
cmd/stdiscosrv/etc/linux-systemd/stdiscosrv.service
+               newconfd "${FILESDIR}"/stdiscosrv.confd stdiscosrv
+               newinitd "${FILESDIR}"/stdiscosrv.initd-r1 stdiscosrv
+
+               systemd_dounit 
cmd/strelaysrv/etc/linux-systemd/strelaysrv.service
+               newconfd "${FILESDIR}"/strelaysrv.confd strelaysrv
+               newinitd "${FILESDIR}"/strelaysrv.initd-r1 strelaysrv
+
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}"/stdiscosrv.logrotate strelaysrv
+               newins "${FILESDIR}"/strelaysrv.logrotate strelaysrv
+       fi
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to